Bug 492969 - Review Request: lv2dynparam - LV2 dynamic parameters extension
Review Request: lv2dynparam - LV2 dynamic parameters extension
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492971 492990
  Show dependency treegraph
 
Reported: 2009-03-30 19:18 EDT by Orcan Ogetbil
Modified: 2009-04-27 17:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-30 19:18:17 EDT
Spec URL: http://oget.fedorapeople.org/review/lv2dynparam.spec
SRPM URL: http://oget.fedorapeople.org/review/lv2dynparam-2-1.fc10.src.rpm
Description: 
lv2dynparam is a LV2 plugin interface extension that enables plugin parameters
to appear and disappear (i.e. number of voices). It also allows nested grouping
of parameters. Groups can be used for things like ADSR abstraction, i.e. group
of 4 float parameters.

The extension should be suitable for all plugins that expose many and/or
complex data types, like samplers, non-trivial synths, etc.


rpmlint:
   lv2dynparam-devel.x86_64: W: no-documentation
Not much to do about it.
Comment 1 Orcan Ogetbil 2009-03-30 19:24:21 EDT
koji rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1266783
Comment 2 Mattias Ellert 2009-04-08 04:47:30 EDT
I tried to make a mock build on Fedora 10 of this package. It fails for both i386 and x86_64 with the following error during configure:

configure: error: The pkg-config script could not be found or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
Alternatively, you may set the environment variables LV2_CFLAGS
and LV2_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
To get pkg-config, see <http://pkg-config.freedesktop.org/>.
See `config.log' for more details.
error: Bad exit status from /var/tmp/rpm-tmp.gW9MDo (%build)

I added the update-testing repo to the mock config for the build, and the build requirements were picked up:

DEBUG backend.py:554:  /usr/bin/yum --installroot /var/lib/mock/fedora-10-x86_64-19081239177430616696239/root/  install  'lv2core-devel'
DEBUG util.py:280:  Executing command: /usr/bin/yum --installroot /var/lib/mock/fedora-10-x86_64-19081239177430616696239/root/  install  'lv2core-devel'
DEBUG util.py:256:  ================================================================================
DEBUG util.py:256:   Package             Arch         Version           Repository             Size
DEBUG util.py:256:  ================================================================================
DEBUG util.py:256:  Installing:
DEBUG util.py:256:   lv2core-devel       x86_64       3.0-2.fc10        updates-testing       9.2 k
DEBUG util.py:256:  Installing for dependencies:
DEBUG util.py:256:   lv2core             x86_64       3.0-2.fc10        updates-testing        11 k
DEBUG util.py:256:  Transaction Summary
DEBUG util.py:256:  ================================================================================
DEBUG util.py:256:  Install      2 Package(s)         
DEBUG util.py:256:  Update       0 Package(s)         
DEBUG util.py:256:  Remove       0 Package(s)         
DEBUG util.py:256:  Total download size: 20 k
DEBUG util.py:256:  Installed:
DEBUG util.py:256:    lv2core-devel.x86_64 0:3.0-2.fc10                                             
DEBUG util.py:256:  Dependency Installed:
DEBUG util.py:256:    lv2core.x86_64 0:3.0-2.fc10                                                   
DEBUG util.py:319:  Child returncode was: 0

However, the pkg-config tools was not installed in the mock environment. The reason seems to be a missing requires on pkgconfig in the lv2core-devel package currently in the testing repo. According to the packaging guidelines section 1.22.1: "Packages containing pkgconfig(.pc) files must Requires: pkgconfig (for directory ownership and usability)."

[ellert@ellert ~]$ rpm -q --requires -p lv2core-devel-3.0-2.fc10.x86_64.rpm 
lv2core = 3.0-2.fc10
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Comment 3 Orcan Ogetbil 2009-04-08 10:20:10 EDT
Thanks for pointing this. I am one of the co-maintainers of lv2core and I fixed the issue and rebuilt the package in devel and in F-10.

Meanwhile, you can add BR: pkgconfig to the SPEC file of lv2dynparam to *work around* the mock build issue.
Comment 4 Mattias Ellert 2009-04-10 13:14:33 EDT
(I put the new lv2core SRPM from koji first in by mock chain build.)

Fedora review lv2dynparam-2-1.fc10.src.rpm 2009-04-09

* OK
! Needs attention

* rpmlint output - OK

  $ rpmlint *.rpm lv2dynparam.spec
  lv2dynparam-devel.x86_64: W: no-documentation
  4 packages and 1 specfiles checked; 0 errors, 1 warnings.

* Package is named according to guidelines

* The spec file is named after the package

* Package is licensed using a Fedora approved license (GPLv2)

* The package license matches the license as stated in the sources

* The license file in the sources (COPYING) is included in the package

* The specfile is written in legible English

* Sources matches upstream - and is the latest released version

  708a7ce7e6604af2a58f521e343509d5  lv2dynparam1-2.tar.bz2
  708a7ce7e6604af2a58f521e343509d5  SRPM/lv2dynparam1-2.tar.bz2

* Package builds in mock (Fedora 10)

* BuildRequires are sane

* Package calls ldconfig as appropriate

* Package owns directories it creates

* No double listed files

* File permissions are sane and %files section has %defattr

* %clean clear buildroot

* The specfile uses macros consistently

* Package contains code

* %doc is not essential for running

* headers are in -devel

* No static libraries

* -devel Requires: pkgconfig

* .so files are in devel

* -devel requires main with fully qualified version

* No .la files

* Package does not own other's directories

* %install clears buildroot

* Installed file names are valid UTF-8


Package approved.
Comment 5 Orcan Ogetbil 2009-04-10 14:46:08 EDT
Thanks a lot!

New Package CVS Request
=======================
Package Name: lv2dynparam
Short Description: LV2 dynamic parameters extension
Owners: oget
Branches: F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-04-10 18:13:25 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-15 20:48:43 EDT
lv2dynparam-2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lv2dynparam-2-1.fc10
Comment 8 Fedora Update System 2009-04-17 14:04:40 EDT
lv2dynparam-2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2dynparam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3734
Comment 9 Fedora Update System 2009-04-27 17:36:14 EDT
lv2dynparam-2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.